/*!
 * This file is part of the DATAtourisme project.
 * 2022
 * @author Conjecto <contact@conjecto.com>
 * SPDX-License-Identifier: GPL-3.0-or-later
 * For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 */

.modal {
  background: rgba(0, 0, 0, 0.5);
}

.modal-footer {
  padding: $modal-title-padding;
}

.modal-backdrop.in {
  opacity: 0.3;
  filter: alpha(opacity=30);
}

.modal-vis-editor {
  .modal-body {
    background-color: #ecf0f5;
  }
}

// form
.modal-body > form,
.modal-body > form > div[id] {
  .form-group:last-of-type {
    margin-bottom: 0;
  }
}

//Modal variants
.modal-warning {
  .modal-header {
    color: $btn-warning-color !important;
    background-color: $btn-warning-bg !important;
    border-color: $btn-warning-border;
  }
}
.modal-danger {
  .modal-header {
    color: $btn-danger-color !important;
    background-color: $btn-danger-bg !important;
    border-color: $btn-danger-border;
  }
}

.modal-success {
  .modal-header {
    color: $btn-success-color !important;
    background-color: $btn-success-bg !important;
    border-color: $btn-success-border;
  }
}
// XL
@media (min-width: 768px) {
  .modal-xl {
    width: 90%;
    max-width:1200px;
    margin: 15px auto;
  }

  .bootbox-modal-xl .modal-dialog {
    width: 90%;
    max-width:1200px;
    margin: 15px auto;
  }
}


// loading
.modal-body {
  position: relative;
}
.modal-body > *,
.modal-footer {
  @include opacity(1);
  @include transition(opacity .15s linear);
}

/*body.modal-loading {
  .content-wrapper {
    @include spinner(30px);
    &::after {
      left:inherit;
      top:10px;
      right:10px;
      margin-top: 0;
    }
  }
}*/

.modal.modal-loading {
  .modal-body > *,
  .modal-footer {
    pointer-events: none;
    @include opacity(.3);
  }
  .modal-body {
    @include spinner(40px);
  }
}
